Bug 107713 - NPE with addInSubqueryFilter on non-existant query
NPE with addInSubqueryFilter on non-existant query
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2003-10-22 09:12 EDT by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-22 09:12:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
If you the query name you pass to addInSubqueryFilter doesn't exist in the
metadata root, then c.a.persistence.InFilter throws an NPE. This isn't much help
in figuring out which query doesn't exist. P4 change 37244 makes it throw a
PersistenceException detailing the name of the missing query instead.

This should be integrated with 6.0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add an subquery filter that doesn't exist
2. 
3.
    

Actual Results:  NPE

Expected Results:  PersistenceException with name of missing query.


Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:24:18 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.